package org.jeecg.modules.admincasehistory.service;

import org.jeecg.modules.admincasehistory.entity.AdminPlatform;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: admin_platform
 * @Author: jeecg-boot
 * @Date:   2022-12-16
 * @Version: V1.0
 */
public interface IAdminPlatformService extends IService<AdminPlatform> {

    /**
     * 根据单位查询配置
     * @param orgCode
     * @return
     */
    List<AdminPlatform> listByOrgCode(String orgCode);

    /**
     * 根据单位查询配置
     * @param orgCode
     * @return
     */
    AdminPlatform getByOrgCode(String orgCode);
}
