package org.jeecg.modules.quesmanage.mapper;

import java.util.List;

import org.jeecg.modules.quesmanage.entity.QuesManageDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description: 问卷管理详情
 * @Author: jeecg-boot
 * @Date: 2023-06-15
 * @Version: V1.0
 */
public interface QuesManageDetailMapper extends BaseMapper<QuesManageDetail> {

    public boolean deleteByMainId(@Param("mainId") String mainId);

    public List<QuesManageDetail> selectByMainId(@Param("mainId") String mainId);

    List<QuesManageDetail> getById(@Param("id") String id);
}
