package org.jeecg.modules.quesmanage.service.impl;

import org.jeecg.modules.quesmanage.entity.QuesManageDetail;
import org.jeecg.modules.quesmanage.mapper.QuesManageDetailMapper;
import org.jeecg.modules.quesmanage.service.IQuesManageDetailService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 问卷管理详情
 * @Author: jeecg-boot
 * @Date:   2023-06-15
 * @Version: V1.0
 */
@Service
public class QuesManageDetailServiceImpl extends ServiceImpl<QuesManageDetailMapper, QuesManageDetail> implements IQuesManageDetailService {
	
	@Autowired
	private QuesManageDetailMapper quesManageDetailMapper;
	
	@Override
	public List<QuesManageDetail> selectByMainId(String mainId) {
		List<QuesManageDetail> quesManageDetails = quesManageDetailMapper.selectByMainId(mainId);
//		for (QuesManageDetail quesManageDetail:quesManageDetails ){
//			String answer = quesManageDetail.getAnswer();
//			String replace = answer.replace("{", "").replace("\"", "").replace("}", "");
//			quesManageDetail.setAnswer(replace);
//			System.out.println(replace);
//		}
		return quesManageDetails;
	}
}
