package org.jeecg.modules.quesmanage.service.impl;

import net.sf.json.JSONArray;
import net.sf.json.JSONObject;
import org.jeecg.modules.quesmanage.entity.QuesSubNodeMessage;
import org.jeecg.modules.quesmanage.entity.QuesSubNote;
import org.jeecg.modules.quesmanage.mapper.QuesManageDetailMapper;
import org.jeecg.modules.quesmanage.mapper.QuesSubNodeMessageMapper;
import org.jeecg.modules.quesmanage.service.IQuesManageDetailService;
import org.jeecg.modules.quesmanage.service.IQuesSubNodeMessageService;
import org.jeecg.modules.quesmanage.vo.QuesSubNotePageExcel;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 提交记录列表详情
 * @Author: jeecg-boot
 * @Date: 2023-06-15
 * @Version: V1.0
 */
@Service
public class QuesSubNodeMessageServiceImpl extends ServiceImpl<QuesSubNodeMessageMapper, QuesSubNodeMessage> implements IQuesSubNodeMessageService {

    @Autowired
    private QuesSubNodeMessageMapper quesSubNodeMessageMapper;


    @Override
    public List<QuesSubNodeMessage> selectByMainId(String mainId) {
        return quesSubNodeMessageMapper.selectByMainId(mainId);
    }

    @Override
    public void exportXls(List<QuesSubNotePageExcel> pageList, List<QuesSubNote> quesSubNoteList) {
        for (QuesSubNote main : quesSubNoteList) {
            QuesSubNotePageExcel vo = new QuesSubNotePageExcel();
            BeanUtils.copyProperties(main, vo);
            List<QuesSubNodeMessage> quesSubNodeMessageList = quesSubNodeMessageMapper.selectByMainId(main.getId());
            JSONObject jsonObject = new JSONObject();
            int a = 50;
            int size = quesSubNodeMessageList.size();
            int b = 50 - size;

            for (int j = 0; j < b; j++) {
                QuesSubNodeMessage quesSubNodeMessage = new QuesSubNodeMessage();
                quesSubNodeMessage.setAnswer("");
                quesSubNodeMessageList.add(quesSubNodeMessage);
            }

            for (int i = 0; i < 50; i++) {

                QuesSubNodeMessage quesSubNodeMessage = quesSubNodeMessageList.get(i);
                String answer = quesSubNodeMessage.getAnswer();
                jsonObject.put(i + 1, answer);

            }
            vo.setAnswer1(jsonObject.getString("1"));
            vo.setAnswer2(jsonObject.getString("2"));
            vo.setAnswer3(jsonObject.getString("3"));
            vo.setAnswer4(jsonObject.getString("4"));
            vo.setAnswer5(jsonObject.getString("5"));
            vo.setAnswer6(jsonObject.getString("6"));
            vo.setAnswer7(jsonObject.getString("7"));
            vo.setAnswer8(jsonObject.getString("8"));
            vo.setAnswer9(jsonObject.getString("9"));
            vo.setAnswer10(jsonObject.getString("10"));
            vo.setAnswer11(jsonObject.getString("11"));
            vo.setAnswer12(jsonObject.getString("12"));
            vo.setAnswer13(jsonObject.getString("13"));
            vo.setAnswer14(jsonObject.getString("14"));
            vo.setAnswer15(jsonObject.getString("15"));
            vo.setAnswer16(jsonObject.getString("16"));
            vo.setAnswer17(jsonObject.getString("17"));
            vo.setAnswer18(jsonObject.getString("18"));
            vo.setAnswer19(jsonObject.getString("19"));
            vo.setAnswer20(jsonObject.getString("20"));
			vo.setAnswer21(jsonObject.getString("21"));
			vo.setAnswer22(jsonObject.getString("22"));
			vo.setAnswer23(jsonObject.getString("23"));
			vo.setAnswer24(jsonObject.getString("24"));
			vo.setAnswer25(jsonObject.getString("25"));
			vo.setAnswer26(jsonObject.getString("26"));
			vo.setAnswer27(jsonObject.getString("27"));
			vo.setAnswer28(jsonObject.getString("28"));
			vo.setAnswer29(jsonObject.getString("29"));
			vo.setAnswer30(jsonObject.getString("30"));
			vo.setAnswer31(jsonObject.getString("31"));
			vo.setAnswer32(jsonObject.getString("32"));
			vo.setAnswer33(jsonObject.getString("33"));
			vo.setAnswer34(jsonObject.getString("34"));
			vo.setAnswer35(jsonObject.getString("35"));
			vo.setAnswer36(jsonObject.getString("36"));
			vo.setAnswer37(jsonObject.getString("37"));
			vo.setAnswer38(jsonObject.getString("38"));
			vo.setAnswer39(jsonObject.getString("39"));
			vo.setAnswer40(jsonObject.getString("40"));
			vo.setAnswer41(jsonObject.getString("41"));
			vo.setAnswer41(jsonObject.getString("42"));
			vo.setAnswer43(jsonObject.getString("43"));
			vo.setAnswer44(jsonObject.getString("44"));
			vo.setAnswer45(jsonObject.getString("45"));
			vo.setAnswer46(jsonObject.getString("46"));
			vo.setAnswer47(jsonObject.getString("47"));
			vo.setAnswer48(jsonObject.getString("48"));
			vo.setAnswer49(jsonObject.getString("49"));
			vo.setAnswer50(jsonObject.getString("50"));
            pageList.add(vo);

        }

    }
}
