package org.jeecg.modules.quesmanage.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.quesmanage.entity.QuesSubNodeMessage;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;

import java.util.Date;
import java.util.List;

/**
 * @Description: 提交记录列表
 * @Author: jeecg-boot
 * @Date:   2023-06-15
 * @Version: V1.0
 */
@Data
@ApiModel(value="ques_sub_notePage对象", description="提交记录列表")
public class QuesSubNotePageExcel {

	/**主键*/
	@ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
	@ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
	@ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
	@ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
	@ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
	@ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**医生姓名*/
	@Excel(name = "医生姓名", width = 15)
	@ApiModelProperty(value = "医生姓名")
    private String doctorName;
	/**医生账号*/
	@Excel(name = "医生账号", width = 15)
	@ApiModelProperty(value = "医生账号")
    private String doctorCode;
	/**问卷名称*/
	@Excel(name = "问卷名称", width = 15)
	@ApiModelProperty(value = "问卷名称")
    private String quesName;
	/**问题答案*/
	@Excel(name = "问题1答案", width = 15)
	@ApiModelProperty(value = "问题答案1")
	private String answer1;
	/**问题答案*/
	@Excel(name = "问题2答案", width = 15)
	@ApiModelProperty(value = "问题答案2")
	private String answer2;
	/**问题答案*/
	@Excel(name = "问题3答案", width = 15)
	@ApiModelProperty(value = "问题答案3")
	private String answer3;
	/**问题答案*/
	@Excel(name = "问题4答案", width = 15)
	@ApiModelProperty(value = "问题答案4")
	private String answer4;
	/**问题答案*/
	@Excel(name = "问题5答案", width = 15)
	@ApiModelProperty(value = "问题答案5")
	private String answer5;
	/**问题答案*/
	@Excel(name = "问题6答案", width = 15)
	@ApiModelProperty(value = "问题答案6")
	private String answer6;
	/**问题答案*/
	@Excel(name = "问题7答案", width = 15)
	@ApiModelProperty(value = "问题答案7")
	private String answer7;
	/**问题答案*/
	@Excel(name = "问题8答案", width = 15)
	@ApiModelProperty(value = "问题答案8")
	private String answer8;
	/**问题答案*/
	@Excel(name = "问题9答案", width = 15)
	@ApiModelProperty(value = "问题答案9")
	private String answer9;
	/**问题答案*/
	@Excel(name = "问题10答案", width = 15)
	@ApiModelProperty(value = "问题答案10")
	private String answer10;
	/**问题答案*/
	@Excel(name = "问题11答案", width = 15)
	@ApiModelProperty(value = "问题答案11")
	private String answer11;
	/**问题答案*/
	@Excel(name = "问题12答案", width = 15)
	@ApiModelProperty(value = "问题答案12")
	private String answer12;
	/**问题答案*/
	@Excel(name = "问题13答案", width = 15)
	@ApiModelProperty(value = "问题答案13")
	private String answer13;
	/**问题答案*/
	@Excel(name = "问题14答案", width = 15)
	@ApiModelProperty(value = "问题答案14")
	private String answer14;
	/**问题答案*/
	@Excel(name = "问题15答案", width = 15)
	@ApiModelProperty(value = "问题答案15")
	private String answer15;
	/**问题答案*/
	@Excel(name = "问题16答案", width = 15)
	@ApiModelProperty(value = "问题答案16")
	private String answer16;
	/**问题答案*/
	@Excel(name = "问题17答案", width = 15)
	@ApiModelProperty(value = "问题答案17")
	private String answer17;
	/**问题答案*/
	@Excel(name = "问题18答案", width = 15)
	@ApiModelProperty(value = "问题答案18")
	private String answer18;
	/**问题答案*/
	@Excel(name = "问题19答案", width = 15)
	@ApiModelProperty(value = "问题答案19")
	private String answer19;
	/**问题答案*/
	@Excel(name = "问题20答案", width = 15)
	@ApiModelProperty(value = "问题答案20")
	private String answer20;

	@Excel(name = "问题21答案", width = 15)
	private String answer21;
	@Excel(name = "问题22答案", width = 15)
	private String answer22;
	@Excel(name = "问题23答案", width = 15)
	private String answer23;
	@Excel(name = "问题24答案", width = 15)
	private String answer24;
	@Excel(name = "问题25答案", width = 15)
	private String answer25;
	@Excel(name = "问题26答案", width = 15)
	private String answer26;
	@Excel(name = "问题27答案", width = 15)
	private String answer27;
	@Excel(name = "问题28答案", width = 15)
	private String answer28;
	@Excel(name = "问题29答案", width = 15)
	private String answer29;
	@Excel(name = "问题30答案", width = 15)
	private String answer30;
	@Excel(name = "问题31答案", width = 15)
	private String answer31;
	@Excel(name = "问题32答案", width = 15)
	private String answer32;
	@Excel(name = "问题33答案", width = 15)
	private String answer33;
	@Excel(name = "问题34答案", width = 15)
	private String answer34;
	@Excel(name = "问题35答案", width = 15)
	private String answer35;
	@Excel(name = "问题36答案", width = 15)
	private String answer36;
	@Excel(name = "问题37答案", width = 15)
	private String answer37;
	@Excel(name = "问题38答案", width = 15)
	private String answer38;
	@Excel(name = "问题39答案", width = 15)
	private String answer39;
	@Excel(name = "问题40答案", width = 15)
	private String answer40;
	@Excel(name = "问题41答案", width = 15)
	private String answer41;
	@Excel(name = "问题42答案", width = 15)
	private String answer42;
	@Excel(name = "问题43答案", width = 15)
	private String answer43;
	@Excel(name = "问题44答案", width = 15)
	private String answer44;
	@Excel(name = "问题45答案", width = 15)
	private String answer45;
	@Excel(name = "问题46答案", width = 15)
	private String answer46;
	@Excel(name = "问题47答案", width = 15)
	private String answer47;
	@Excel(name = "问题48答案", width = 15)
	private String answer48;
	@Excel(name = "问题49答案", width = 15)
	private String answer49;
	@Excel(name = "问题50答案", width = 15)
	private String answer50;












}
