package org.jeecg.modules.admincasehistory.service.impl;

import org.jeecg.modules.admincasehistory.entity.AdminPlatform;
import org.jeecg.modules.admincasehistory.mapper.AdminPlatformMapper;
import org.jeecg.modules.admincasehistory.service.IAdminPlatformService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: admin_platform
 * @Author: jeecg-boot
 * @Date:   2022-12-16
 * @Version: V1.0
 */
@Service
public class AdminPlatformServiceImpl extends ServiceImpl<AdminPlatformMapper, AdminPlatform> implements IAdminPlatformService {


    @Autowired
    private AdminPlatformMapper adminPlatformMapper;

    @Override
    public List<AdminPlatform> listByOrgCode(String orgCode) {
        return adminPlatformMapper.listByOrgCode(orgCode) ;
    }

    @Override
    public AdminPlatform getByOrgCode(String orgCode) {
        return adminPlatformMapper.getByOrgCode(orgCode) ;
    }
}
