package org.jeecg.modules.admincasehistory.service.impl;

import org.jeecg.modules.admincasehistory.entity.AdminUploadingName;
import org.jeecg.modules.admincasehistory.mapper.AdminUploadingNameMapper;
import org.jeecg.modules.admincasehistory.service.IAdminUploadingNameService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 上传分类管理
 * @Author: jeecg-boot
 * @Date:   2022-12-16
 * @Version: V1.0
 */
@Service
public class AdminUploadingNameServiceImpl extends ServiceImpl<AdminUploadingNameMapper, AdminUploadingName> implements IAdminUploadingNameService {

    @Autowired
    private AdminUploadingNameMapper adminUploadingNameMapper;

    @Override
    public List<AdminUploadingName> selectAll(String sysOrgCode) {
        return adminUploadingNameMapper.selectAll(sysOrgCode);
    }
}
