package org.jeecg.modules.adminuser.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.adminuser.entity.AdminTransferAccounts;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;

/**
 * @Description: 转账记录表
 * @Author: jeecg-boot
 * @Date:   2023-08-07
 * @Version: V1.0
 */
public interface IAdminTransferAccountsService extends IService<AdminTransferAccounts> {

    String notifyUrl(String requestId, String data, String mess, String timestamp, String sign, String sign_type);




    Result<?> transList(String authorization, Integer pageNo, Integer pageSize, HttpServletRequest req);
}
