package org.jeecg.modules.adminwjdc.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecgframework.poi.excel.annotation.ExcelCollection;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class AdminTopic4 implements Serializable {
    private static final long serialVersionUID = 1L;



	@Excel(name = "序号", width = 7)
    private Integer xuhao;

    @Excel(name = "姓名", width = 10)
    private String name;

    @Excel(name = "手机号", width = 11)
    private String phone;

    @Excel(name = "医院", width = 15)
    private String hospital;

    @Excel(name = "门诊日期", width = 12)
    private String outpatientServiceTime;

    @Excel(name = "提交日期", width = 12, format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Excel(name = "调研人数（人）", width = 12)
    private String diaoyan;

//    @ExcelCollection(name = "")
////    private List<A1> A1;
//    private A1 A1;


    @Excel(name = "男", width = 7, groupName = "1、本次门诊患者群中，男性和女性患者比例分别是多少？")
    private String a1;

    @Excel(name = "女", width = 7, groupName = "1、本次门诊患者群中，男性和女性患者比例分别是多少？")
    private String a2;
//------------------------
    @Excel(name = "A.医保(新农合)", width = 12, groupName = "2、本次门诊患者群中，医疗保险分布情况如何？")
    private String b1;

    @Excel(name = "B.商业保险", width = 12, groupName = "2、本次门诊患者群中，医疗保险分布情况如何？")
    private String b2;

    @Excel(name = "C.自费", width = 9, groupName = "2、本次门诊患者群中，医疗保险分布情况如何？")
    private String b3;

    @Excel(name = "D.其他", width = 9, groupName = "2、本次门诊患者群中，医疗保险分布情况如何？")
    private String b4;
    //------------------------
    @Excel(name = "A.小于18岁", width = 12, groupName = "3、本次门诊患者群中，年龄层次分布如何？")
    private String c1;

    @Excel(name = "B.18-40岁", width = 12, groupName = "3、本次门诊患者群中，年龄层次分布如何？")
    private String c2;

    @Excel(name = "C.41-60岁", width = 12, groupName = "3、本次门诊患者群中，年龄层次分布如何？")
    private String c3;

    @Excel(name = "D.61岁及以上", width = 12, groupName = "3、本次门诊患者群中，年龄层次分布如何？")
    private String c4;
    //------------------------4
    @Excel(name = "A.肠易激综合征（IBS）", width = 15, groupName = "4、本次门诊患者疾病分类及具体比例分别是多少？")
    private String d1;

    @Excel(name = "B.溃疡性结肠炎", width = 15, groupName = "4、本次门诊患者疾病分类及具体比例分别是多少？")
    private String d2;

    @Excel(name = "C.克罗恩病", width = 12, groupName = "4、本次门诊患者疾病分类及具体比例分别是多少？")
    private String d3;

    @Excel(name = "D.功能性消化不良", width = 15, groupName = "4、本次门诊患者疾病分类及具体比例分别是多少？")
    private String d4;

    @Excel(name = "E.功能性腹胀", width = 12, groupName = "4、本次门诊患者疾病分类及具体比例分别是多少？")
    private String d5;

    @Excel(name = "F.肠炎", width = 9, groupName = "4、本次门诊患者疾病分类及具体比例分别是多少？")
    private String d6;

    @Excel(name = "G.胃炎", width = 9, groupName = "4、本次门诊患者疾病分类及具体比例分别是多少？")
    private String d7;

    @Excel(name = "H.其他待查", width = 12, groupName = "4、本次门诊患者疾病分类及具体比例分别是多少？")
    private String d8;
    //------------------------5
    @Excel(name = "5、本次门诊就诊患者群中，有腹胀症状（包括患者主诉）的患者比例有多少？", width = 30)
    private String e1;
    //------------------------6
    @Excel(name = "A.新发腹胀", width = 15, groupName = "6、以上有腹胀症状的患者中，新发腹胀和有腹胀病史的患者比例分别占比多少？")
    private String f1;

    @Excel(name = "B.有腹胀病史", width = 15, groupName = "6、以上有腹胀症状的患者中，新发腹胀和有腹胀病史的患者比例分别占比多少？")
    private String f2;

    //------------------------7
    @Excel(name = "A. 饮食干预", width = 15, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g1;

    @Excel(name = "B. 促动力药物", width = 15, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g2;

    @Excel(name = "C. 消化酶", width = 12, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g3;

    @Excel(name = "D. 益生菌", width = 15, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g4;

    @Excel(name = "E. 祛泡剂", width = 12, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g5;

    @Excel(name = "F. 抗生素", width = 9, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g6;

    @Excel(name = "G. 神经调节剂", width = 15, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g7;

    @Excel(name = "H. 解痉药", width = 12, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g8;

    @Excel(name = "I. 中药治疗", width = 12, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g9;

    @Excel(name = "J. 生物反馈治疗", width = 15, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g10;

    @Excel(name = "K. 其他", width = 12, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g11;

    @Excel(name = "L. 不干预", width = 12, groupName = "7、对于有腹胀病史患者，曾经或者正在进行的治疗方法有哪些？")
    private String g12;
    //------------------------8
    @Excel(name = "A. 促动力药物", width = 15, groupName = "8、对于新发腹胀患者，您的治疗一线药物是？")
    private String h1;

    @Excel(name = "B. 消化酶", width = 15, groupName = "8、对于新发腹胀患者，您的治疗一线药物是？")
    private String h2;

    @Excel(name = "C. 益生菌", width = 12, groupName = "8、对于新发腹胀患者，您的治疗一线药物是？")
    private String h3;

    @Excel(name = "D. 祛泡剂", width = 15, groupName = "8、对于新发腹胀患者，您的治疗一线药物是？")
    private String h4;

    @Excel(name = "E. 抗生素", width = 12, groupName = "8、对于新发腹胀患者，您的治疗一线药物是？")
    private String h5;

    @Excel(name = "F. 神经调节剂", width = 15, groupName = "8、对于新发腹胀患者，您的治疗一线药物是？")
    private String h6;

    @Excel(name = "G. 解痉药", width = 12, groupName = "8、对于新发腹胀患者，您的治疗一线药物是？")
    private String h7;

    @Excel(name = "H. 中药治疗", width = 12, groupName = "8、对于新发腹胀患者，您的治疗一线药物是？")
    private String h8;
    //------------------------9
    @Excel(name = "9、哪种腹胀类型的患者，您会优先考虑祛泡剂？", width = 30)
    private String i1;
    //------------------------10
    @Excel(name = "10、您认为祛泡剂对这类患者最大的优势是什么？", width = 30)
    private String j1;
    //------------------------11
    @Excel(name = "A. 中上腹", width = 15, groupName = "11、本次门诊中存在腹痛症状患者，以下部位腹痛发生的比例是？")
    private String k1;

    @Excel(name = "B. 左上腹", width = 15, groupName = "11、本次门诊中存在腹痛症状患者，以下部位腹痛发生的比例是？")
    private String k2;

    @Excel(name = "C. 右上腹", width = 12, groupName = "11、本次门诊中存在腹痛症状患者，以下部位腹痛发生的比例是？")
    private String k3;

    @Excel(name = "D. 下腹", width = 15, groupName = "11、本次门诊中存在腹痛症状患者，以下部位腹痛发生的比例是？")
    private String k4;

    @Excel(name = "E. 左下腹", width = 12, groupName = "11、本次门诊中存在腹痛症状患者，以下部位腹痛发生的比例是？")
    private String k5;

    @Excel(name = "F. 右下腹", width = 15, groupName = "11、本次门诊中存在腹痛症状患者，以下部位腹痛发生的比例是？")
    private String k6;

    @Excel(name = "G. 脐周", width = 12, groupName = "11、本次门诊中存在腹痛症状患者，以下部位腹痛发生的比例是？")
    private String k7;

    @Excel(name = "H. 全腹", width = 12, groupName = "11、本次门诊中存在腹痛症状患者，以下部位腹痛发生的比例是？")
    private String k8;

    @Excel(name = "I. 不固定", width = 12, groupName = "11、本次门诊中存在腹痛症状患者，以下部位腹痛发生的比例是？")
    private String k9;

    @Excel(name = "J. 说不清部位", width = 12, groupName = "11、本次门诊中存在腹痛症状患者，以下部位腹痛发生的比例是？")
    private String k10;
    //------------------------12
    @Excel(name = "A.不考虑，认为亚型与治疗方案关系不大", width = 25, groupName = "12、在本次门诊诊断肠易激综合征（IBS）时，您是否会考虑患者的IBS亚型？如考虑，不同亚型的占比都是多少？")
    private String l1;
    @Excel(name = "B. IBS便秘型（IBS-C）", width = 25, groupName = "12、在本次门诊诊断肠易激综合征（IBS）时，您是否会考虑患者的IBS亚型？如考虑，不同亚型的占比都是多少？")
    private String l2;
    @Excel(name = "C. IBS腹泻型（IBS-D）", width = 25, groupName = "12、在本次门诊诊断肠易激综合征（IBS）时，您是否会考虑患者的IBS亚型？如考虑，不同亚型的占比都是多少？")
    private String l3;
    @Excel(name = "D. IBS混合型（IBS-M）", width = 25, groupName = "12、在本次门诊诊断肠易激综合征（IBS）时，您是否会考虑患者的IBS亚型？如考虑，不同亚型的占比都是多少？")
    private String l4;
    @Excel(name = "E. IBS不定型（IBS-U）", width = 25, groupName = "12、在本次门诊诊断肠易激综合征（IBS）时，您是否会考虑患者的IBS亚型？如考虑，不同亚型的占比都是多少？")
    private String l5;

    //------------------------13
    @Excel(name = "A. 不考虑亚型，只要有腹痛症状即使用", width = 25, groupName = "13、有证据表明解痉剂可改善肠易激综合征（IBS）的症状，对腹痛的疗效显著。若选择奥替溴铵治疗IBS" +
            "相关的腹痛，您会考虑给以下哪些亚型的肠易激综合征（IBS）患者使用奥替溴铵？")
    private String m1;

    @Excel(name = "B. IBS便秘型（IBS-C）", width = 20, groupName = "13、有证据表明解痉剂可改善肠易激综合征（IBS）的症状，对腹痛的疗效显著。若选择奥替溴铵治疗IBS" +
            "相关的腹痛，您会考虑给以下哪些亚型的肠易激综合征（IBS）患者使用奥替溴铵？")
    private String m2;

    @Excel(name = "C. IBS腹泻型（IBS-D）", width = 18, groupName = "13、有证据表明解痉剂可改善肠易激综合征（IBS）的症状，对腹痛的疗效显著。若选择奥替溴铵治疗IBS" +
            "相关的腹痛，您会考虑给以下哪些亚型的肠易激综合征（IBS）患者使用奥替溴铵？")
    private String m3;

    @Excel(name = "D. IBS混合型（IBS-M）", width = 18, groupName = "13、有证据表明解痉剂可改善肠易激综合征（IBS）的症状，对腹痛的疗效显著。若选择奥替溴铵治疗IBS" +
            "相关的腹痛，您会考虑给以下哪些亚型的肠易激综合征（IBS）患者使用奥替溴铵？")
    private String m4;

    @Excel(name = "E. IBS不定型（IBS-U）", width = 18, groupName = "13、有证据表明解痉剂可改善肠易激综合征（IBS）的症状，对腹痛的疗效显著。若选择奥替溴铵治疗IBS" +
            "相关的腹痛，您会考虑给以下哪些亚型的肠易激综合征（IBS）患者使用奥替溴铵？")
    private String m5;

    @Excel(name = "F. 不使用奥替溴铵", width = 18, groupName = "13、有证据表明解痉剂可改善肠易激综合征（IBS）的症状，对腹痛的疗效显著。若选择奥替溴铵治疗IBS" +
            "相关的腹痛，您会考虑给以下哪些亚型的肠易激综合征（IBS）患者使用奥替溴铵？")
    private String m6;
    //------------------------14
    @Excel(name = "14、您认为奥替溴铵对肠易激综合征（IBS）患者最大的优势是什么？", width = 40)
    private String n1;
    //------------------------15
    @Excel(name = "A. 轻度", width = 15, groupName = "15、本次门诊溃疡性结肠炎(UC)患者群中，按疾病程度分类，分别占比多少？")
    private String o1;

    @Excel(name = "B. 轻中度", width = 15, groupName = "15、本次门诊溃疡性结肠炎(UC)患者群中，按疾病程度分类，分别占比多少？")
    private String o2;

    @Excel(name = "C. 中重度", width = 15, groupName = "15、本次门诊溃疡性结肠炎(UC)患者群中，按疾病程度分类，分别占比多少？")
    private String o3;
    //------------------------16
    @Excel(name = "A. 疾病活动期", width = 20, groupName = "16、本次门诊溃疡性结肠炎(UC)患者就诊原因占比？")
    private String p1;

    @Excel(name = "B. 便血", width = 15, groupName = "16、本次门诊溃疡性结肠炎(UC)患者就诊原因占比？")
    private String p2;

    @Excel(name = "C. 长期用药出现副作用", width = 25, groupName = "16、本次门诊溃疡性结肠炎(UC)患者就诊原因占比？")
    private String p3;

    @Excel(name = "D. 原治疗方案使用不方便", width = 25, groupName = "16、本次门诊溃疡性结肠炎(UC)患者就诊原因占比？")
    private String p4;

    @Excel(name = "E. 维持期定期复诊", width = 20, groupName = "16、本次门诊溃疡性结肠炎(UC)患者就诊原因占比？")
    private String p5;
    //------------------------17
    @Excel(name = "A. 氨基水杨酸制剂", width = 20, groupName = "17、本次门诊针对溃疡性结肠炎（UC）患者所使用的不同治疗方案的占比？")
    private String q1;

    @Excel(name = "B. 激素类", width = 15, groupName = "17、本次门诊针对溃疡性结肠炎（UC）患者所使用的不同治疗方案的占比？")
    private String q2;

    @Excel(name = "C. 硫嘌呤类药物", width = 20, groupName = "17、本次门诊针对溃疡性结肠炎（UC）患者所使用的不同治疗方案的占比？")
    private String q3;

    @Excel(name = "D. 沙利度胺", width = 20, groupName = "17、本次门诊针对溃疡性结肠炎（UC）患者所使用的不同治疗方案的占比？")
    private String q4;

    @Excel(name = "E. 生物制剂类", width = 20, groupName = "17、本次门诊针对溃疡性结肠炎（UC）患者所使用的不同治疗方案的占比？")
    private String q5;

    @Excel(name = "F. 其他方案", width = 15, groupName = "17、本次门诊针对溃疡性结肠炎（UC）患者所使用的不同治疗方案的占比？")
    private String q6;
    //------------------------18
    @Excel(name = "18、您认为美沙拉秦对溃疡性结肠炎(UC)患者最大的优势是什么？", width = 40)
    private String x1;
}
