package org.jeecg.modules.quesmanage.entity;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 提交记录列表详情
 * @Author: jeecg-boot
 * @Date:   2023-06-15
 * @Version: V1.0
 */
@ApiModel(value="ques_sub_node_message对象", description="提交记录列表详情")
@Data
@TableName("ques_sub_node_message")
public class QuesSubNodeMessage implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private String sysOrgCode;
	/**问题名称*/
//	@Excel(name = "问题名称", width = 15)
    @ApiModelProperty(value = "问题名称")
    private String quesName;
	/**问题答案*/
	@Excel(name = "问题答案", width = 15)
    @ApiModelProperty(value = "问题答案")
    private String answer;
	/**外键*/
    @ApiModelProperty(value = "外键")
    private String orderId;
}
