package org.jeecg.modules.quesmanage.service;

import org.jeecg.modules.quesmanage.entity.QuesSubNodeMessage;
import org.jeecg.modules.quesmanage.entity.QuesSubNote;
import com.baomidou.mybatisplus.extension.service.IService;
import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * @Description: 提交记录列表
 * @Author: jeecg-boot
 * @Date:   2023-06-15
 * @Version: V1.0
 */
public interface IQuesSubNoteService extends IService<QuesSubNote> {

	/**
	 * 添加一对多
	 * 
	 */
	public void saveMain(QuesSubNote quesSubNote,List<QuesSubNodeMessage> quesSubNodeMessageList) ;
	
	/**
	 * 修改一对多
	 * 
	 */
	public void updateMain(QuesSubNote quesSubNote,List<QuesSubNodeMessage> quesSubNodeMessageList);
	
	/**
	 * 删除一对多
	 */
	public void delMain (String id);
	
	/**
	 * 批量删除一对多
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);
	
}
